{% extends "paysans/farmspace.html" %}

{% block page_title %}
    Liste des livraisons
{% endblock %}

{% block farm_content %}
    {% for delivery in deliveries %}
        <article class="card mt-3">
            <h2 class="card-header">
                Livraison du {{ delivery.datetime_start|date:"l d/m/Y" }}
            </h2>
            <div class="card-body">

                <p class="card-text d-flex flex-row mb-3">
                    Télécharger la feuille de livraison :
                    <a href="{% url 'feuille_livraison_pdf' ferme_id=ferme.id id_distribution=delivery.id %}"
                       target="_blank" class="ms-3 me-2 d-block primary-link text-decoration-none"
                    >
                        <i class="fas fa-file-pdf"></i>
                        PDF
                    </a>
                    /
                    <a href="{% url 'feuille_livraison_csv' ferme_id=ferme.id id_distribution=delivery.id %}"
                       target="_blank" class="ms-2  me-3 d-block primary-link text-decoration-none"
                    >
                        <i class="fas fa-file-csv"></i>
                        CSV
                    </a>

                    (avec les montants à payer :
                        <a href="{% url 'feuille_livraison_pdf' ferme_id=ferme.id id_distribution=delivery.id %}?with_prices=1"
                           target="_blank" class="ms-3 me-2 d-block primary-link text-decoration-none"
                        >
                            <i class="fas fa-file-pdf"></i>
                            PDF
                        </a>
                    )
                </p>

                <h5 class="card-title">Produits commandés :</h5>
                <ul class="list-group list-group-flush">
                    {% for product_name, amount in delivery.commands.items %}
                        <li class="list-group-item">
                            {{ amount }} x {{ product_name }}
                        </li>
                    {% endfor %}
                </ul>

            </div>
        </article>
        {% endfor %}
        {% if deliveries|length == 0 %}
            <div class="alert alert-info mt-3">
                Aucune livraison à afficher
            </div>
    {% endif %}
        <div class="mt-3">
        {% pagination_widget deliveries request %}
        </div>
    
{% endblock %}